Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 153)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 159)
@@ -513,25 +513,25 @@
 			<xsd:enumeration value="primary">
 				<xsd:annotation>
-					<xsd:documentation>primary</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="plug">
 				<xsd:annotation>
-					<xsd:documentation>plug</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="squeeze">
 				<xsd:annotation>
-					<xsd:documentation>squeeze</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="unknown">
 				<xsd:annotation>
-					<xsd:documentation>unknown</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="other">
 				<xsd:annotation>
-					<xsd:documentation>other</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
@@ -661,20 +661,20 @@
 			<xsd:enumeration value="Mud">
 				<xsd:annotation>
-					<xsd:documentation>Mud</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Wash">
 				<xsd:annotation>
-					<xsd:documentation>Wash</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Spacer">
 				<xsd:annotation>
-					<xsd:documentation>Spacer</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Slurry">
 				<xsd:annotation>
-					<xsd:documentation>Slurry</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
@@ -2365,5 +2365,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="casing_liner_tubing_run" type="witsml:cs_stimJobStage">
+			<xsd:element name="casing_liner_tubing_run" type="witsml:cs_stimJobStage" minOccurs='0' maxOccurs='1'>
 				<!-- PROFILE: Added element casing_liner_tubing_run -->
 				<xsd:annotation>
@@ -2401,5 +2401,11 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- PROFILE: deleted element dTimEnd.-->
+			<xsd:element name="dTimEnd" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Date time of end of this stimulation stage. 
+					(A 'point in time' when the activity of placing the actual section of casing, 
+					lining or tubing was in the 'wellbore' was completed.)</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
 			<!-- PROFILE: deleted element pumpTime. -->
 			<!-- PROFILE: deleted element startRateSurfaceLiquid. -->
@@ -2509,15 +2515,15 @@
 			<xsd:enumeration value="Top">
 				<xsd:annotation>
-					<xsd:documentation>Top</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Intermediate">
 				<xsd:annotation>
-					<xsd:documentation>Intermediate</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
 			<xsd:enumeration value="Production">
 				<xsd:annotation>
-					<xsd:documentation>Production</xsd:documentation>
+					<xsd:documentation></xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 153)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 159)
@@ -141,4 +141,5 @@
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T12:00:00.000Z</witsml:dTimStart>
+				<witsml:dTimEnd>2011-02-07T14:00:00.000Z</witsml:dTimEnd>
 			</witsml:casing_liner_tubing_run>
 		</witsml:casing_liner_tubing>
@@ -157,4 +158,5 @@
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T13:00:00.000Z</witsml:dTimStart>
+				<witsml:dTimEnd>2011-02-07T17:00:00.000Z</witsml:dTimEnd>
 			</witsml:casing_liner_tubing_run>
 		</witsml:casing_liner_tubing>
@@ -173,4 +175,5 @@
 				<witsml:description>bla bla bla..</witsml:description>
 				<witsml:dTimStart>2011-02-07T15:00:00.000Z</witsml:dTimStart>
+				<witsml:dTimEnd>2011-02-08T10:00:00.000Z</witsml:dTimEnd>
 			</witsml:casing_liner_tubing_run>
 		</witsml:casing_liner_tubing>
@@ -218,4 +221,26 @@
 				<witsml:yp uom="ft3/sack">19</witsml:yp>
 				<witsml:eTimThickening uom="h">2</witsml:eTimThickening>
+				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
+				<witsml:comments>bla bla bla...</witsml:comments>
+			</witsml:cementingFluid>
+			<witsml:cementingFluid>
+				<witsml:typeFluid>Slurry</witsml:typeFluid>
+				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:ratioMixWater uom="gal/sack">12</witsml:ratioMixWater>
+				<witsml:density uom="sg">24</witsml:density>
+				<witsml:volPumped uom="m3">10</witsml:volPumped>
+				<witsml:yp uom="ft3/sack">12</witsml:yp>
+				<witsml:eTimThickening uom="h">3</witsml:eTimThickening>
+				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
+				<witsml:comments>bla bla bla...</witsml:comments>
+			</witsml:cementingFluid>
+			<witsml:cementingFluid>
+				<witsml:typeFluid>Spacer</witsml:typeFluid>
+				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:ratioMixWater uom="gal/sack">12</witsml:ratioMixWater>
+				<witsml:density uom="sg">24</witsml:density>
+				<witsml:volPumped uom="m3">10</witsml:volPumped>
+				<witsml:yp uom="ft3/sack">12</witsml:yp>
+				<witsml:eTimThickening uom="h">3</witsml:eTimThickening>
 				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
 				<witsml:comments>bla bla bla...</witsml:comments>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 152)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 159)
@@ -540,7 +540,5 @@
 												</td>
 												<td align="center">
-													<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='tubularJobTypes']/xsd:restriction"/>
-													<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:tubularJobType" />
-													<xsl:value-of select="$element_casing//xsd:enumeration[@value=$casingTypes]"/>
+													<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:tubularJobType"/>
 												</td>
 												<td align="center">
@@ -660,7 +658,5 @@
 												</td>
 												<td align="center">
-													<xsl:variable name="element_jobTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='cementJobTypes']/xsd:restriction"/>
-													<xsl:variable name="jobTypes" select="witsml:jobType" />
-													<xsl:value-of select="$element_jobTypes//xsd:enumeration[@value=$jobTypes]"/>
+													<xsl:value-of select="witsml:jobType"/>
 												</td>
 												<td align="center">
@@ -671,14 +667,14 @@
 												</td>
 												<td align="center">
-													<xsl:if test="witsml:topPlug='true'">yes</xsl:if>
-													<xsl:if test="witsml:topPlug='false'">no</xsl:if>
-												</td>
-												<td align="center">
-													<xsl:if test="witsml:botPlug='true'">yes</xsl:if>
-													<xsl:if test="witsml:botPlug='false'">no</xsl:if>
-												</td>
-												<td align="center">
-													<xsl:if test="witsml:plugBumped='true'">yes</xsl:if>
-													<xsl:if test="witsml:plugBumped='false'">no</xsl:if>
+													<xsl:if test="witsml:topPlug='true' or witsml:topPlug='1'">yes</xsl:if>
+													<xsl:if test="witsml:topPlug='false' or witsml:topPlug='0'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:if test="witsml:botPlug='true' or witsml:botPlug='1'">yes</xsl:if>
+													<xsl:if test="witsml:botPlug='false' or witsml:botPlug='0'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:if test="witsml:plugBumped='true' or witsml:plugBumped='1'">yes</xsl:if>
+													<xsl:if test="witsml:plugBumped='false' or witsml:plugBumped='0'">no</xsl:if>
 												</td>
 												<td align="center">
@@ -686,6 +682,6 @@
 												</td>
 												<td align="center">
-													<xsl:if test="witsml:floatHeld='true'">yes</xsl:if>
-													<xsl:if test="witsml:floatHeld='false'">no</xsl:if>
+													<xsl:if test="witsml:floatHeld='true' or witsml:floatHeld='1'">yes</xsl:if>
+													<xsl:if test="witsml:floatHeld='false' or witsml:floatHeld='0'">no</xsl:if>
 												</td>
 												<td align="center">
@@ -693,6 +689,6 @@
 												</td>
 												<td align="center">
-													<xsl:if test="witsml:annFlowAfter='true'">yes</xsl:if>
-													<xsl:if test="witsml:annFlowAfter='false'">no</xsl:if>
+													<xsl:if test="witsml:annFlowAfter='true' or witsml:annFlowAfter='1'">yes</xsl:if>
+													<xsl:if test="witsml:annFlowAfter='false' or witsml:annFlowAfter='0'">no</xsl:if>
 												</td>
 												<td align="center">
@@ -700,10 +696,10 @@
 												</td>
 												<td align="center">
-													<xsl:if test="witsml:reciprocated='true'">yes</xsl:if>
-													<xsl:if test="witsml:reciprocated='false'">no</xsl:if>
-												</td>
-												<td align="center">
-													<xsl:if test="witsml:rotated='true'">yes</xsl:if>
-													<xsl:if test="witsml:rotated='false'">no</xsl:if>
+													<xsl:if test="witsml:reciprocated='true' or witsml:reciprocated='1'">yes</xsl:if>
+													<xsl:if test="witsml:reciprocated='false' or witsml:reciprocated='0'">no</xsl:if>
+												</td>
+												<td align="center">
+													<xsl:if test="witsml:rotated='true' or witsml:rotated='1'">yes</xsl:if>
+													<xsl:if test="witsml:rotated='false' or witsml:rotated='0'">no</xsl:if>
 												</td>
 											</tr>
@@ -712,108 +708,108 @@
 								</tr>
 								<!--  witsml:cementingFluid -->
-								<tr height="5px">
-									<td/>
-								</tr>
-								<tr>
-									<td>
-									</td>
-								</tr>
-								<tr>
-									<td class="SectionHead">Cementing Fluid Details</td>
-								</tr>
-								<xsl:variable name="element_fluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>
-								<xsl:variable name="url_dTimFluid">
-									<xsl:value-of select="$element_fluid//xsd:element[@name='dTim']/@sawsdl:modelReference"/>
-								</xsl:variable>
-								<xsl:variable name="url_mdFluid">
-									<xsl:value-of select="$element_fluid//xsd:element[@name='md']/@sawsdl:modelReference"/>
-								</xsl:variable>
-								<xsl:variable name="url_mudClass">
-									<xsl:value-of select="$element_fluid//xsd:element[@name='mudClass']/@sawsdl:modelReference"/>
-								</xsl:variable>
-								<xsl:variable name="url_density">
-									<xsl:value-of select="$element_fluid//xsd:element[@name='density']/@sawsdl:modelReference"/>
-								</xsl:variable>
-								<xsl:variable name="url_pv">
-									<xsl:value-of select="$element_fluid//xsd:element[@name='pv']/@sawsdl:modelReference"/>
-								</xsl:variable>
-								<xsl:variable name="url_yp">
-									<xsl:value-of select="$element_fluid//xsd:element[@name='yp']/@sawsdl:modelReference"/>
-								</xsl:variable>
-								<tr>
-									<td>
-										<table id="table2">
-											<tr>
-												<td align="center" width="100" valign="top">
-													<a target="_blank" href="{$url_mudClass}">Fluid Type</a>
-												</td>
-												<td align="center" width="100" valign="top">
-													<a target="_blank" href="{$url_mudClass}">Fluid Description</a>
-												</td>
-												<td align="center" width="100" valign="top">
-													<a target="_blank" href="{$urlRDS}">Volume Pumped <xsl:value-of select="witsml:cementingFluid/witsml:volPumped/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="100" valign="top">
-													<a target="_blank" href="{$url_density}">Fluid Density <xsl:value-of select="witsml:cementingFluid/witsml:density/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="80" valign="top">
-													<a target="_blank" href="{$url_yp}">Yield Point <xsl:value-of select="witsml:cementingFluid/witsml:yp/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="80" valign="top">
-													<a target="_blank" href="{$urlRDS}">Mix Water Ratio <xsl:value-of select="witsml:cementingFluid/witsml:ratioMixWater/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="80" valign="top">
-													<a target="_blank" href="{$urlRDS}">Free Water <xsl:value-of select="witsml:cementingFluid/witsml:pcFreeWater/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="80" valign="top">
-													<a target="_blank" href="{$urlRDS}">Thick Time <xsl:value-of select="witsml:cementingFluid/witsml:eTimThickening/@uom"/>
-													</a>
-												</td>
-												<td align="center" width="100" valign="top">
-													<a target="_blank" href="{$urlRDS}">Comments</a>
-												</td>
+								<xsl:if test="count(witsml:cementingFluid) > 0">
+									<tr height="5px">
+										<td/>
+									</tr>
+									<tr>
+										<td>
+										</td>
+									</tr>
+									<tr>
+										<td class="SectionHead">Cementing Fluid Details</td>
+									</tr>
+									<xsl:variable name="element_fluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>
+									<xsl:variable name="url_dTimFluid">
+										<xsl:value-of select="$element_fluid//xsd:element[@name='dTim']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_mdFluid">
+										<xsl:value-of select="$element_fluid//xsd:element[@name='md']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_mudClass">
+										<xsl:value-of select="$element_fluid//xsd:element[@name='mudClass']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_density">
+										<xsl:value-of select="$element_fluid//xsd:element[@name='density']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_pv">
+										<xsl:value-of select="$element_fluid//xsd:element[@name='pv']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_yp">
+										<xsl:value-of select="$element_fluid//xsd:element[@name='yp']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<tr>
+										<td>
+											<table id="table2">
+												<tr>
+													<td align="center" width="100" valign="top">
+														<a target="_blank" href="{$url_mudClass}">Fluid Type</a>
+													</td>
+													<td align="center" width="100" valign="top">
+														<a target="_blank" href="{$url_mudClass}">Fluid Description</a>
+													</td>
+													<td align="center" width="100" valign="top">
+														<a target="_blank" href="{$urlRDS}">Volume Pumped <xsl:value-of select="witsml:cementingFluid/witsml:volPumped/@uom"/>
+														</a>
+													</td>
+													<td align="center" width="100" valign="top">
+														<a target="_blank" href="{$url_density}">Fluid Density <xsl:value-of select="witsml:cementingFluid/witsml:density/@uom"/>
+														</a>
+													</td>
+													<td align="center" width="80" valign="top">
+														<a target="_blank" href="{$url_yp}">Yield Point <xsl:value-of select="witsml:cementingFluid/witsml:yp/@uom"/>
+														</a>
+													</td>
+													<td align="center" width="80" valign="top">
+														<a target="_blank" href="{$urlRDS}">Mix Water Ratio <xsl:value-of select="witsml:cementingFluid/witsml:ratioMixWater/@uom"/>
+														</a>
+													</td>
+													<td align="center" width="80" valign="top">
+														<a target="_blank" href="{$urlRDS}">Free Water <xsl:value-of select="witsml:cementingFluid/witsml:pcFreeWater/@uom"/>
+														</a>
+													</td>
+													<td align="center" width="80" valign="top">
+														<a target="_blank" href="{$urlRDS}">Thick Time <xsl:value-of select="witsml:cementingFluid/witsml:eTimThickening/@uom"/>
+														</a>
+													</td>
+													<td align="center" width="100" valign="top">
+														<a target="_blank" href="{$urlRDS}">Comments</a>
+													</td>
 
-											</tr>
-											<xsl:for-each select="witsml:cementingFluid">
-												<tr class="light">
-													<td align="center">
-														<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
-														<xsl:variable name="fluidTypes" select="witsml:typeFluid" />
-														<xsl:value-of select="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:descFluid"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:volPumped"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:density"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:yp"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:ratioMixWater"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:pcFreeWater"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:eTimThickening"/>
-													</td>
-													<td align="center">
-														<xsl:value-of select="witsml:comments"/>
-													</td>
 												</tr>
-											</xsl:for-each>
-										</table>
-									</td>
-								</tr>
+												<xsl:for-each select="witsml:cementingFluid">
+													<tr class="light">
+														<td align="center">
+															<xsl:value-of select="witsml:typeFluid"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:descFluid"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:volPumped"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:density"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:yp"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:ratioMixWater"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:pcFreeWater"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:eTimThickening"/>
+														</td>
+														<td align="center">
+															<xsl:value-of select="witsml:comments"/>
+														</td>
+													</tr>
+												</xsl:for-each>
+											</table>
+										</td>
+									</tr>
+								</xsl:if>
 							</xsl:for-each>
 						</xsl:if>
@@ -1588,6 +1584,6 @@
 												</td>
 												<td valign="top" align="center">
-													<xsl:if test="witsml:goodSeal='true'">yes</xsl:if>
-													<xsl:if test="witsml:goodSeal='false'">no</xsl:if>
+													<xsl:if test="witsml:goodSeal='true' or witsml:goodSeal='1'">yes</xsl:if>
+													<xsl:if test="witsml:goodSeal='false' or witsml:goodSeal='0'">no</xsl:if>
 												</td>
 												<td valign="top" align="center">
@@ -2604,6 +2600,6 @@
 			</td>
 			<td class="light">
-				<xsl:if test="witsml:tightWell='true'">yes</xsl:if>
-				<xsl:if test="witsml:tightWell='false'">no</xsl:if>
+				<xsl:if test="witsml:tightWell='true' or witsml:tightWell='1'">yes</xsl:if>
+				<xsl:if test="witsml:tightWell='false' or witsml:tightWell='0'">no</xsl:if>
 			</td>
 			<td class="ColHead">
@@ -2611,6 +2607,6 @@
 			</td>
 			<td class="light">
-				<xsl:if test="witsml:hpht='true'">yes</xsl:if>
-				<xsl:if test="witsml:hpht='false'">no</xsl:if>
+				<xsl:if test="witsml:hpht='true' or witsml:hpht='1'">yes</xsl:if>
+				<xsl:if test="witsml:hpht='false' or witsml:hpht='0'">no</xsl:if>
 			</td>
 		</tr>
Index: projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo
===================================================================
--- projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo (revision 152)
+++ projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.fo (revision 159)
@@ -36,8 +36,8 @@
 			<fo:block>
 				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.49)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.931)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.397)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(48.182)" column-number="4"/>
+					<fo:table-column column-width="proportional-column-width(17.79)" column-number="1"/>
+					<fo:table-column column-width="proportional-column-width(17.33)" column-number="2"/>
+					<fo:table-column column-width="proportional-column-width(18.898)" column-number="3"/>
+					<fo:table-column column-width="proportional-column-width(45.982)" column-number="4"/>
 					<fo:table-body>
 						<fo:table-row>
@@ -61,5 +61,5 @@
 						<fo:table-row>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-size="11pt" font-weight="bold">Wellbore:</fo:block>
+								<fo:block font-weight="bold">Wellbore:</fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -89,5 +89,5 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-size="11pt" font-weight="bold">
+								<fo:block>
 									<fo:basic-link external-destination="url(http://rds.posccaesar.org/2008/02/XML/RDL/RDS328364064)" font-weight="bold">Created date:</fo:basic-link>
 								 </fo:block>
@@ -186,5 +186,5 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-size="11pt" font-weight="bold">
+								<fo:block>
 									<fo:basic-link external-destination="url(http://www.posccaesar.org)" font-weight="bold">High pressure - High temperature</fo:basic-link>  </fo:block>
 							</fo:table-cell>
@@ -855,8 +855,12 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block/>
+													<fo:block>
+														<fo:inline>1</fo:inline>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<fo:inline>1</fo:inline>
+													</fo:block>
 												</fo:table-cell>
 												<fo:table-cell>
@@ -871,5 +875,7 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
+													<fo:block>
+														<fo:inline>3</fo:inline>
+													</fo:block>
 												</fo:table-cell>
 												<fo:table-cell>
@@ -916,8 +922,12 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block/>
+													<fo:block>
+														<fo:inline>3</fo:inline>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<fo:inline>2</fo:inline>
+													</fo:block>
 												</fo:table-cell>
 												<fo:table-cell>
@@ -932,5 +942,7 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
+													<fo:block>
+														<fo:inline>5</fo:inline>
+													</fo:block>
 												</fo:table-cell>
 												<fo:table-cell>
@@ -1051,9 +1063,11 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<fo:inline>12:00</fo:inline>
+													<fo:block>
+														<fo:inline>Top</fo:inline>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<fo:inline>14:00</fo:inline>
 													</fo:block>
 												</fo:table-cell>
@@ -1115,9 +1129,11 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<fo:inline>13:00</fo:inline>
+													<fo:block>
+														<fo:inline>Intermediate</fo:inline>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<fo:inline>17:00</fo:inline>
 													</fo:block>
 												</fo:table-cell>
@@ -1179,9 +1195,11 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block/>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<fo:inline>15:00</fo:inline>
+													<fo:block>
+														<fo:inline>Production</fo:inline>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<fo:inline>10:00</fo:inline>
 													</fo:block>
 												</fo:table-cell>
@@ -1305,5 +1323,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Plug failed to bump</fo:block>
+														<fo:block>Plug bumped</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1314,5 +1332,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Float failed</fo:block>
+														<fo:block>Float held</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1348,9 +1366,5 @@
 													<fo:table-cell>
 														<fo:block>
-															<fo:inline>
-
-					Cement squeeze
-
-															</fo:inline>
+															<fo:inline>squeeze</fo:inline>
 														</fo:block>
 													</fo:table-cell>
@@ -1486,9 +1500,5 @@
 													<fo:table-cell>
 														<fo:block>
-															<fo:inline>
-
-					Spacer
-
-															</fo:inline>
+															<fo:inline>Spacer</fo:inline>
 														</fo:block>
 													</fo:table-cell>
@@ -1610,5 +1620,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Plug failed to bump</fo:block>
+														<fo:block>Plug bumped</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1619,5 +1629,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Float failed</fo:block>
+														<fo:block>Float held</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1653,9 +1663,5 @@
 													<fo:table-cell>
 														<fo:block>
-															<fo:inline>
-
-					Casing and liner
-
-															</fo:inline>
+															<fo:inline>primary</fo:inline>
 														</fo:block>
 													</fo:table-cell>
@@ -1791,9 +1797,5 @@
 													<fo:table-cell>
 														<fo:block>
-															<fo:inline>
-
-					Mud
-
-															</fo:inline>
+															<fo:inline>Mud</fo:inline>
 														</fo:block>
 													</fo:table-cell>
@@ -1831,4 +1833,98 @@
 														<fo:block>
 															<fo:inline>2</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>bla bla bla...</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+												</fo:table-row>
+												<fo:table-row>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>Slurry</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>bla bla bla...</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>10</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>24</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>12</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>12</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>40</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>3</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>bla bla bla...</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+												</fo:table-row>
+												<fo:table-row>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>Spacer</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>bla bla bla...</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>10</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>24</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>12</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>12</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>40</fo:inline>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<fo:inline>3</fo:inline>
 														</fo:block>
 													</fo:table-cell>
@@ -2970,8 +3066,8 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(10)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(5)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(5)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(5)" column-number="4"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="1"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="2"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="3"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="4"/>
 										<fo:table-column column-width="proportional-column-width(6.25)" column-number="5"/>
 										<fo:table-column column-width="proportional-column-width(6.25)" column-number="6"/>
@@ -3214,8 +3310,8 @@
 								<fo:block>
 									<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-										<fo:table-column column-width="proportional-column-width(10)" column-number="1"/>
-										<fo:table-column column-width="proportional-column-width(5)" column-number="2"/>
-										<fo:table-column column-width="proportional-column-width(5)" column-number="3"/>
-										<fo:table-column column-width="proportional-column-width(5)" column-number="4"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="1"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="2"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="3"/>
+										<fo:table-column column-width="proportional-column-width(6.25)" column-number="4"/>
 										<fo:table-column column-width="proportional-column-width(6.25)" column-number="5"/>
 										<fo:table-column column-width="proportional-column-width(6.25)" column-number="6"/>
@@ -3685,5 +3781,5 @@
 												<fo:table-cell>
 													<fo:block>
-														<fo:inline>02:00</fo:inline>
+														<fo:inline>2001-12-31T02:00</fo:inline>
 													</fo:block>
 												</fo:table-cell>
Index: projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl (revision 152)
+++ projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl (revision 159)
@@ -2,10 +2,10 @@
 <xslt:stylesheet xmlns:date="http://exslt.org/dates-and-times" xmlns:str="http://exslt.org/strings" xmlns:xslt="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xf="http://www.ecrion.com/xf/1.0" xmlns:xc="http://www.ecrion.com/2008/xc" xmlns:xfd="http://www.ecrion.com/xfd/1.0" xmlns:svg="http://www.w3.org/2000/svg" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:witsml="http://www.witsml.org/schemas/1series" xmlns:sawsdl="http://www.w3.org/ns/sawsdl" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" extension-element-prefixes="date str">
 <xslt:output indent="yes" encoding="utf-8"/>
-<xslt:param name="XFCrtLocalDate">2011-03-22</xslt:param>
-<xslt:param name="XFCrtLocalTime">14:27:24</xslt:param>
-<xslt:param name="XFCrtLocalDateTime">2011-03-22T14:27:24</xslt:param>
-<xslt:param name="XFCrtUTCDate">2011-03-22</xslt:param>
-<xslt:param name="XFCrtUTCTime">13:27:24</xslt:param>
-<xslt:param name="XFCrtUTCDateTime">2011-03-22T13:27:24</xslt:param>
+<xslt:param name="XFCrtLocalDate">2011-03-30</xslt:param>
+<xslt:param name="XFCrtLocalTime">10:29:36</xslt:param>
+<xslt:param name="XFCrtLocalDateTime">2011-03-30T10:29:36</xslt:param>
+<xslt:param name="XFCrtUTCDate">2011-03-30</xslt:param>
+<xslt:param name="XFCrtUTCTime">08:29:36</xslt:param>
+<xslt:param name="XFCrtUTCDateTime">2011-03-30T08:29:36</xslt:param>
 <xslt:param name="XFOutputFormat"/>
 <!--
@@ -312,6 +312,6 @@
 							<fo:table-cell vertical-align="middle">
 								<fo:block>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='true'">yes</xsl:if>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='false'">no</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='true' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='1'">yes</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='false' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='0'">no</xsl:if>
 								</fo:block>
 							</fo:table-cell>
@@ -321,6 +321,6 @@
 							<fo:table-cell vertical-align="middle">
 								<fo:block>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='true'">yes</xsl:if>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='false'">no</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='true' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='1'">yes</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='false' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='0'">no</xsl:if>
 								</fo:block>
 							</fo:table-cell>
@@ -1005,7 +1005,4 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block>Dull grade</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
 													<fo:block>Hole made (run)</fo:block>
 													<fo:block>
@@ -1054,4 +1051,7 @@
 </fo:inline></xsl:if>
 													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>Dull grade</fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -1102,48 +1102,48 @@
 												<fo:table-cell>
 													<fo:block>
+														<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop - /witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart)"><fo:inline>
+<xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop - /witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xsl:if test="string(witsml:bitRun/witsml:eTimOpBit)"><fo:inline>
+<xsl:value-of select="witsml:bitRun/witsml:eTimOpBit"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xsl:if test="string(witsml:bitRun/witsml:ropAv)"><fo:inline>
+<xsl:value-of select="witsml:bitRun/witsml:ropAv"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xsl:if test="string(witsml:bitRun/witsml:mdTotHoleMade)"><fo:inline>
+<xsl:value-of select="witsml:bitRun/witsml:mdTotHoleMade"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xsl:if test="string(witsml:bitRun/witsml:totHrsDrilled)"><fo:inline>
+<xsl:value-of select="witsml:bitRun/witsml:totHrsDrilled"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xsl:if test="string(witsml:bitRun/witsml:ropMx)"><fo:inline>
+<xsl:value-of select="witsml:bitRun/witsml:ropMx"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
 														<xsl:if test="string(witsml:dullGrade)"><fo:inline>
 <xsl:value-of select="witsml:dullGrade"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop - /witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart)"><fo:inline>
-<xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop - /witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(witsml:bit/Run/witsml:eTimOpBit)"><fo:inline>
-<xsl:value-of select="witsml:bit/Run/witsml:eTimOpBit"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(witsml:ropAv)"><fo:inline>
-<xsl:value-of select="witsml:ropAv"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(witsml:bitRun/witsml:mdTotHoleMade)"><fo:inline>
-<xsl:value-of select="witsml:bitRun/witsml:mdTotHoleMade"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(witsml:bitRun/witsml:totHrsDrilled)"><fo:inline>
-<xsl:value-of select="witsml:bitRun/witsml:totHrsDrilled"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(witsml:ropMx)"><fo:inline>
-<xsl:value-of select="witsml:ropMx"/>
 </fo:inline></xsl:if>
 													</fo:block>
@@ -1275,15 +1275,13 @@
 												<fo:table-cell>
 													<fo:block>
-														<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='stimStageType']/xsd:restriction"/>
-														<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:kind"/>
-														<xsl:if test="string($element_casing//xsd:enumeration[@value=$casingTypes])"><fo:inline>
-<xsl:value-of select="$element_casing//xsd:enumeration[@value=$casingTypes]"/>
-</fo:inline></xsl:if>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xsl:if test="string(substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T'))"><fo:inline>
-<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T')"/>
+														<xsl:if test="string(witsml:casing_liner_tubing_run/witsml:tubularJobType)"><fo:inline>
+<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:tubularJobType"/>
+</fo:inline></xsl:if>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xsl:if test="string(substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimEnd, 0, 17), 'T'))"><fo:inline>
+<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimEnd, 0, 17), 'T')"/>
 </fo:inline></xsl:if>
 													</fo:block>
@@ -1430,5 +1428,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Plug failed to bump</fo:block>
+														<fo:block>Plug bumped</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1441,5 +1439,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Float failed</fo:block>
+														<fo:block>Float held</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1481,8 +1479,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:variable name="element_jobTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='cementJobTypes']/xsd:restriction"/>
-															<xsl:variable name="jobTypes" select="witsml:jobType"/>
-															<xsl:if test="string($element_jobTypes//xsd:enumeration[@value=$jobTypes])"><fo:inline>
-<xsl:value-of select="$element_jobTypes//xsd:enumeration[@value=$jobTypes]"/>
+															<xsl:if test="string(witsml:jobType)"><fo:inline>
+<xsl:value-of select="witsml:jobType"/>
 </fo:inline></xsl:if>
 														</fo:block>
@@ -1504,18 +1500,18 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:topPlug='true'">yes</xsl:if>
-															<xsl:if test="witsml:topPlug='false'">no</xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="witsml:botPlug='true'">yes</xsl:if>
-															<xsl:if test="witsml:botPlug='false'">no</xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="witsml:plugBumped='true'">yes</xsl:if>
-															<xsl:if test="witsml:plugBumped='false'">no</xsl:if>
+															<xsl:if test="witsml:topPlug='true' or witsml:topPlug='1'">yes</xsl:if>
+															<xsl:if test="witsml:topPlug='false' or witsml:topPlug='0'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:botPlug='true' or witsml:botPlug='1'">yes</xsl:if>
+															<xsl:if test="witsml:botPlug='false' or witsml:botPlug='0'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:plugBumped='true' or witsml:plugBumped='1'">yes</xsl:if>
+															<xsl:if test="witsml:plugBumped='false' or witsml:plugBumped='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1529,6 +1525,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:floatHeld='true'">yes</xsl:if>
-															<xsl:if test="witsml:floatHeld='false'">no</xsl:if>
+															<xsl:if test="witsml:floatHeld='true' or witsml:floatHeld='1'">yes</xsl:if>
+															<xsl:if test="witsml:floatHeld='false' or witsml:floatHeld='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1542,6 +1538,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:annFlowAfter='true'">yes</xsl:if>
-															<xsl:if test="witsml:annFlowAfter='false'">no</xsl:if>
+															<xsl:if test="witsml:annFlowAfter='true' or witsml:annFlowAfter='1'">yes</xsl:if>
+															<xsl:if test="witsml:annFlowAfter='false' or witsml:annFlowAfter='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1555,12 +1551,12 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:reciprocated='true'">yes</xsl:if>
-															<xsl:if test="witsml:reciprocated='false'">no</xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="witsml:rotated='true'">yes</xsl:if>
-															<xsl:if test="witsml:rotated='false'">no</xsl:if>
+															<xsl:if test="witsml:reciprocated='true' or witsml:reciprocated='1'">yes</xsl:if>
+															<xsl:if test="witsml:reciprocated='false' or witsml:reciprocated='0'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:rotated='true' or witsml:rotated='1'">yes</xsl:if>
+															<xsl:if test="witsml:rotated='false' or witsml:rotated='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1662,8 +1658,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
-															<xsl:variable name="fluidTypes" select="witsml:typeFluid"/>
-															<xsl:if test="string($element_fluidTypes//xsd:enumeration[@value=$fluidTypes])"><fo:inline>
-<xsl:value-of select="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
+															<xsl:if test="string(witsml:typeFluid)"><fo:inline>
+<xsl:value-of select="witsml:typeFluid"/>
 </fo:inline></xsl:if>
 														</fo:block>
@@ -2840,6 +2834,6 @@
 												<fo:table-cell>
 													<fo:block>
-														<xsl:if test="witsml:goodSeal='true'">yes</xsl:if>
-														<xsl:if test="witsml:goodSeal='false'">no</xsl:if>
+														<xsl:if test="witsml:goodSeal='true' or witsml:goodSeal='1'">yes</xsl:if>
+														<xsl:if test="witsml:goodSeal='false' or witsml:goodSeal='0'">no</xsl:if>
 													</fo:block>
 												</fo:table-cell>
Index: projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xfd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xfd (revision 152)
+++ projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xfd (revision 159)
@@ -261,6 +261,6 @@
 							<fo:table-cell vertical-align="middle">
 								<fo:block>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='true'">yes</xsl:if>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='false'">no</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='true' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='1'">yes</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='false' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='0'">no</xsl:if>
 								</fo:block>
 							</fo:table-cell>
@@ -270,6 +270,6 @@
 							<fo:table-cell vertical-align="middle">
 								<fo:block>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='true'">yes</xsl:if>
-									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='false'">no</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='true' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='1'">yes</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='false' or /witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='0'">no</xsl:if>
 								</fo:block>
 							</fo:table-cell>
@@ -856,41 +856,41 @@
 												</fo:table-cell>
 												<fo:table-cell>
+													<fo:block>Hole made (run)</fo:block>
+													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>Hours drilled (run)</fo:block>
+													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>ROP</fo:block>
+													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:ropAv/@uom"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>Total hole made</fo:block>
+													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>Total hours drilled</fo:block>
+													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:totHrsDrilled/@uom"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>Total ROP</fo:block>
+													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:ropMx/@uom"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
 													<fo:block>Dull grade</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>Hole made (run)</fo:block>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>Hours drilled (run)</fo:block>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>ROP</fo:block>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:ropAv/@uom"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>Total hole made</fo:block>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>Total hours drilled</fo:block>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:totHrsDrilled/@uom"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>Total ROP</fo:block>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:ropMx/@uom"/>
-													</fo:block>
 												</fo:table-cell>
 											</fo:table-row>
@@ -928,35 +928,35 @@
 												<fo:table-cell>
 													<fo:block>
+														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop - /witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xfd:field xpath="witsml:bitRun/witsml:eTimOpBit"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xfd:field xpath="witsml:bitRun/witsml:ropAv"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xfd:field xpath="witsml:bitRun/witsml:mdTotHoleMade"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xfd:field xpath="witsml:bitRun/witsml:totHrsDrilled"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xfd:field xpath="witsml:bitRun/witsml:ropMx"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
 														<xfd:field xpath="witsml:dullGrade"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="/witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop - /witsml:drillReports/witsml:drillReport/witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="witsml:bit/Run/witsml:eTimOpBit"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="witsml:ropAv"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="witsml:bitRun/witsml:mdTotHoleMade"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="witsml:bitRun/witsml:totHrsDrilled"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="witsml:ropMx"/>
 													</fo:block>
 												</fo:table-cell>
@@ -1071,12 +1071,10 @@
 												<fo:table-cell>
 													<fo:block>
-														<xsl:variable name="element_casing" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='stimStageType']/xsd:restriction"/>
-														<xsl:variable name="casingTypes" select="witsml:casing_liner_tubing_run/witsml:kind"/>
-														<xfd:field xpath="$element_casing//xsd:enumeration[@value=$casingTypes]"/>
-													</fo:block>
-												</fo:table-cell>
-												<fo:table-cell>
-													<fo:block>
-														<xfd:field xpath="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T')"/>
+														<xfd:field xpath="witsml:casing_liner_tubing_run/witsml:tubularJobType"/>
+													</fo:block>
+												</fo:table-cell>
+												<fo:table-cell>
+													<fo:block>
+														<xfd:field xpath="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimEnd, 0, 17), 'T')"/>
 													</fo:block>
 												</fo:table-cell>
@@ -1200,5 +1198,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Plug failed to bump</fo:block>
+														<fo:block>Plug bumped</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1209,5 +1207,5 @@
 													</fo:table-cell>
 													<fo:table-cell>
-														<fo:block>Float failed</fo:block>
+														<fo:block>Float held</fo:block>
 													</fo:table-cell>
 													<fo:table-cell>
@@ -1243,7 +1241,5 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:variable name="element_jobTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='cementJobTypes']/xsd:restriction"/>
-															<xsl:variable name="jobTypes" select="witsml:jobType"/>
-															<xfd:field xpath="$element_jobTypes//xsd:enumeration[@value=$jobTypes]"/>
+															<xfd:field xpath="witsml:jobType"/>
 														</fo:block>
 													</fo:table-cell>
@@ -1260,18 +1256,18 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:topPlug='true'">yes</xsl:if>
-															<xsl:if test="witsml:topPlug='false'">no</xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="witsml:botPlug='true'">yes</xsl:if>
-															<xsl:if test="witsml:botPlug='false'">no</xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="witsml:plugBumped='true'">yes</xsl:if>
-															<xsl:if test="witsml:plugBumped='false'">no</xsl:if>
+															<xsl:if test="witsml:topPlug='true' or witsml:topPlug='1'">yes</xsl:if>
+															<xsl:if test="witsml:topPlug='false' or witsml:topPlug='0'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:botPlug='true' or witsml:botPlug='1'">yes</xsl:if>
+															<xsl:if test="witsml:botPlug='false' or witsml:botPlug='0'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:plugBumped='true' or witsml:plugBumped='1'">yes</xsl:if>
+															<xsl:if test="witsml:plugBumped='false' or witsml:plugBumped='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1283,6 +1279,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:floatHeld='true'">yes</xsl:if>
-															<xsl:if test="witsml:floatHeld='false'">no</xsl:if>
+															<xsl:if test="witsml:floatHeld='true' or witsml:floatHeld='1'">yes</xsl:if>
+															<xsl:if test="witsml:floatHeld='false' or witsml:floatHeld='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1294,6 +1290,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:annFlowAfter='true'">yes</xsl:if>
-															<xsl:if test="witsml:annFlowAfter='false'">no</xsl:if>
+															<xsl:if test="witsml:annFlowAfter='true' or witsml:annFlowAfter='1'">yes</xsl:if>
+															<xsl:if test="witsml:annFlowAfter='false' or witsml:annFlowAfter='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1305,12 +1301,12 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="witsml:reciprocated='true'">yes</xsl:if>
-															<xsl:if test="witsml:reciprocated='false'">no</xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="witsml:rotated='true'">yes</xsl:if>
-															<xsl:if test="witsml:rotated='false'">no</xsl:if>
+															<xsl:if test="witsml:reciprocated='true' or witsml:reciprocated='1'">yes</xsl:if>
+															<xsl:if test="witsml:reciprocated='false' or witsml:reciprocated='0'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:rotated='true' or witsml:rotated='1'">yes</xsl:if>
+															<xsl:if test="witsml:rotated='false' or witsml:rotated='0'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1399,7 +1395,5 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
-															<xsl:variable name="fluidTypes" select="witsml:typeFluid"/>
-															<xfd:field xpath="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
+															<xfd:field xpath="witsml:typeFluid"/>
 														</fo:block>
 													</fo:table-cell>
@@ -2412,6 +2406,6 @@
 												<fo:table-cell>
 													<fo:block>
-														<xsl:if test="witsml:goodSeal='true'">yes</xsl:if>
-														<xsl:if test="witsml:goodSeal='false'">no</xsl:if>
+														<xsl:if test="witsml:goodSeal='true' or witsml:goodSeal='1'">yes</xsl:if>
+														<xsl:if test="witsml:goodSeal='false' or witsml:goodSeal='0'">no</xsl:if>
 													</fo:block>
 												</fo:table-cell>
